unit ImageUtils;

interface

uses Graphics;

function getPicture(imageFile:string):TPicture;
function getBitmap(p:TPicture):TBitmap;
procedure deleteImages(var image:TBitmap; var picture:TPicture);

implementation

uses SysUtils, Jpeg, ExtCtrls, Contnrs, Types;

function getPicture(imageFile:string):TPicture;
var p:TPicture;
begin
  if not fileexists(imageFile) then
  begin
    result:=nil;
    exit;
  end;
  p:=TPicture.Create;
  p.LoadFromFile(imageFile);
  result:=p;
end;

function getBitmap(p:TPicture):TBitmap;
var b:TBitmap; 
begin
  if p=nil then
  begin
    result:=nil;
    exit;
  end;
  b:=TBitmap.Create;
  if p.Graphic is TJPEGImage then b.Assign(TJPEGImage(p.Graphic))
                             else b.Assign(p.Bitmap);
  result:=b;
end;

procedure deleteImages(var image:TBitmap; var picture:TPicture);
begin
  if picture<>nil then
  begin
    picture.Free;
    picture:=nil;
  end;
  if image<>nil then
  begin
    image.Free;
    image:=nil;
  end;
end;

begin
end.